@font-face {
    font-family: "SwordsCZ";
    src: url("../../assets/swordscz.ttf");
}

body {
    /* width: 80%; */

    /* set default font */
    font-family: "SwordsCZ";
    margin: 0px;
}

.modalPopup {
    height: 100%;
    width: 100%;
    /* background-color: black;     */
    z-index: 100;
    /* opacity: 0.85; */
    position: fixed;
    top: 0px;
    left: 0px;

    /* grey-out rest of the page */
    box-shadow: inset 0px 0px 20px 9999px rgb(0 0 0 / 84%);
    cursor: pointer;
}

.modalPopup img{     
    max-width: 90%;
    max-height: 90vh;

    position: fixed;
    
    /* center the image */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 5px;
}

.orderPopup{
    height: 100%;
    width: 100%;
    /* background-color: black;     */
    z-index: 100;
    /* opacity: 0.85; */
    position: fixed;
    top: 0px;
    left: 0px;
   box-shadow: inset 0px 0px 20px 9999px rgb(0 0 0 / 84%);
}

.orderPopupBody {
    height: 50%;
    width: 50%;
    max-width: 800px;
    min-width: 490px;
    background-color: white; 
    z-index: 100;
    /* opacity: 0.85; */
    position: fixed;
    top: 25%;
    left: 25%;
    padding: 2em;
    padding-top: 1em;
    border: 1px solid black;
    /* grey-out rest of the page */
 
    /* cursor: pointer; */
    overflow: auto;
    display: inline-grid;
    border-radius: 5px;
}

.orderPopupBody h2 {
    font-size: 2em;
    padding-top: 0px;
}

.orderPopupBody div {    
    margin-bottom: 2em;
}

.orderPopupBody p {
    font-weight: bold;
}

.orderPopupBody form{
    display: contents;
}

#orderPopupMessage{
    margin-top: 1em;
    margin-bottom: 0em;
}

.orderButton{
    /* color: black; */
    font-weight: bold;
    background-color: #e51c2b;
    border: 1px solid black;
    font-size: 12pt;
    font-family: revert;
    width: 20%;
    /* visibility:hidden; */
}

.failure{
    color: red;
    visibility: visible;
    text-align: center;
    font-size: 1.5em;
    font-weight: bold;
}

.success{
    color: green;
    visibility: visible;
    text-align: center;
    font-size: 1.5em;
    font-weight: bold;
}


.hide{
    display: none;    
}

.warning{
    font-size: 1.5em;
    margin-bottom: 15px;
    padding: 3px;
    text-align:center;
    color:red;    
}

h1 {
    font-size: 85pt;
    /* font-size:16pt; */
    /* font-family: "SwordsCZ"; */
    margin-top: 50px;
    margin-bottom: 1px;
}

h2 {
    font-size: 2em;
    margin-bottom: 0.5em;
    padding-top: 100px;
}

/* h2:target{
    margin-top: 8em;
} */

h3 {
    margin-bottom: 0.3em;
}

h4 {
    margin-top: 2em;
    margin-bottom: 0.3em;
}

input[type="button"] {
    /* background: palevioletred; */
    background-color: rgb(239, 239, 239);
    border: none;
    /* box-shadow: blue; */
    /* left: auto; */
    border-radius: 5px;
    padding: 10px 10px 10px 10px;
    font-family: "SwordsCZ";

    /* make sure button is centered */
    display: block;
    margin: auto;
    /* margin-top: 10px; */
    cursor: pointer;
}

input[type="button"]:hover {
    background-color: rgb(189, 189, 189);
}

/*
input[type="button"].more::before {
    font-family: "Font Awesome 5 Free"; font-weight: 900; content: "\f078";
}
input[type="button"].less::before {
    font-family: "Font Awesome 5 Free"; font-weight: 900; content: "\f077";
} */

.more-less{
    font-size: 20pt;
    color: rgb(50,50,50,1);
    cursor: pointer;
    margin: auto;
    width: 100%;
    text-align: center;
}


.main {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;

    /* horizontaly align to the center */
    margin: auto;

    /* width: 80%; */
    min-width: 300px;
    max-width: 700px;
}

header {
    display: block;
    text-align: left;
    /* margin: 3px; */
    /* height: 30px; */
    /* padding: 10px; */

    /* horizontaly align to the center */
    margin: auto;
    position: fixed;
    width: 100%;
    background-color: black;
    z-index: 1;

}

header a {
    text-decoration: none;
    color: default;
}

header p {
    margin-top: 0px;
    /* margin-bottom: 3em; */
    padding: 0.5em;
    color: white;

}

header .home {
    display: inline-block;
}

.breadcrumb {
    display: inline-block;
    list-style-type: none;
    margin: 5px;
}

/* .breadcrumb ul{
    margin: 0;
    padding: 0;
} */

.breadcrumb li {
    display: inline-block;
    color: white;
}

.breadcrumb li a {
    color: white;
    display: block;
    padding: 15px 15px;
}

.breadcrumb li a:hover {
    color: black;
    background-color: lightgray;
}

.langSelector{
    right: 0px;
    position: fixed;
    top: 5px;
    padding: 15px 15px;
    /* display: block; */
}
.langSelector a {
    color: gray;
}



/* product page */

.intro {
    text-align: justify;
    margin-top: 10em;
}

.productEntry {
    margin: 1em;
    margin-bottom: 5em;
    /* background-color: #F8f8f8; */
    padding: 25px;
    border: 1px solid #666666;
    border-radius: 5px;
}

.productEntry ul {
    margin: 0px;
    padding-inline-start: 0px;
}

.productEntry li {
    display: block;
}

.productImage {
    width: 640px;
    border-radius: 5px;
}

.productSwatch {
    width: 100px;
    border-radius: 5px;
    cursor: pointer;
    /* scale: ; */
}

.productPrice {
    /* border: 1px solid black; */
    /* display: inline; */
    /* margin: 5px; */
    position: relative;
}

.productPrice input {
    /* right: 1em;
    position: absolute; */
    float: right;
}

.productParams td {
    padding-right: 90px;
}

.collapsed {
    height: 100px;
    overflow: hidden;
}

.collapsed::after {
    background: linear-gradient(to top,
            rgba(255, 255, 255, 1) 20%,
            rgba(255, 255, 255, 0) 80%);
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    content: "";

    background: linear-gradient(to top,
            rgba(255, 255, 255, 1) 20%,
            rgba(255, 255, 255, 0) 80%);
}

.productDetails {
    /* background-image: linear-gradient(direction, color-stop1, color-stop2, ...); */
    /* background-image: linear-gradient(90deg, white, black); */
    /* background-image: linear-gradient(down, rgba(255,255,255,0), rgba(255,255,200,1)); //transparency */
    position: relative;
    text-align: justify;
}

.productDetails::after {
    /* content: "Display more"; */
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;

    pointer-events: none;
}


footer {
    text-align: center;
    background-color: rgb(0, 0, 0);
    color: white;
    padding: 20px;
    /* display: block; */
    margin-top: 50px;
}